Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004247 [JEDI VCL] 00 JVCL Components major always 2007-09-28 03:20 2008-02-21 07:27
Reporter fegyvej View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.32
Summary 0004247: TJvLinkLabel does not call OnDynamicTagInit during/after component load
Description OnDynamicTagInit is not called when the text property is set at design time because the text property is loaded before OnDynamicTagInit, so when SetText is executed during component load OnDynamicTagInit is not initialized yet, thus not called.
NodeTree initialization should be done in Loaded method.


Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0004246resolvedobones TJvLinkLabel has problems with painting dynamic tags 

-  Notes
(0013944)
obones (administrator)
2007-10-12 09:02

Can you provide us with the zipped sources of a sample application showing this? Thanks in advance.
(0013957)
fegyvej (reporter)
2007-10-13 11:35

See the note at issue 0004246.
(0014259)
obones (administrator)
2008-02-21 07:26

This is now in SVN.

- Issue History
Date Modified Username Field Change
2007-09-28 03:20 fegyvej New Issue
2007-10-12 09:02 obones Note Added: 0013944
2007-10-12 09:02 obones Status new => feedback
2007-10-13 11:35 fegyvej Note Added: 0013957
2008-02-21 07:06 obones Relationship added related to 0004246
2008-02-21 07:26 obones Status feedback => resolved
2008-02-21 07:26 obones Fixed in Version => Daily / SVN
2008-02-21 07:26 obones Resolution open => fixed
2008-02-21 07:26 obones Assigned To => obones
2008-02-21 07:26 obones Note Added: 0014259


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker